<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class looks after DOMAIN NAME products
 *
 * @package    Domain
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class DOMAIN {
	/**
	 * Return an instance of this class
	 *
	 * @return ADSL
	 */
	public static function instance() {
		return new DOMAIN;
	}

	public function product_view($data) {
	}

	public function contract_view($data,$price_base,$price_setup) {
	}

	/**
	 * Collect information for the cart
	 */
	public function product_cart() {
		$output = '';

		$output .= '<script type="text/javascript">//<![CDATA[
$(document).ready(function() {
	$("input[type=submit]").attr("disabled","disabled");
});
//]]></script>
		';

		$output .= View::factory('domain/cart');

		return $output;
	}

	public static function NS(Model_Service_Plugin_Domain $o) {
		if ($o->registrar_ns)
			return is_array($o->registrar_ns) ? implode(',',$o->registrar_ns) : '&gt;Invalid&lt;';
		else
			return is_array($o->registrar->whitelabel_ns) ? implode(',',$o->registrar->whitelabel_ns) : '&gt;Unknown&lt;';
	}
}
?>
